## pantalaimon 0.9.1

=== Makefile ===
test:
	python3 -m pytest
	python3 -m pytest --black pantalaimon
	python3 -m pytest --flake8 pantalaimon

coverage:
	python3 -m pytest --cov=pantalaimon --cov-report term-missing

typecheck:
	mypy --ignore-missing-imports pantalaimon

run-local:
	python -m pantalaimon.main --log-level debug --config ./contrib/pantalaimon.conf

isort:
	isort -y -p pantalaimon

format:
	black pantalaimon/

## pantalaimon 0.6.2

=== debian/changelog ===
pantalaimon (0.6.2-1) unstable; urgency=medium

  [ upstream ]

  [ Jonas Smedegaard ]
  * fix recommend gir1.2-glib-2.0 python3-dbus python3-gi
    python3-notify2 python3-pydbus;
    thanks to Paul van Tilburg
  * stop ignore test failures when targeted experimental

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 May 2020 23:03:35 +0200

pantalaimon (0.6.1-2) unstable; urgency=medium

  * rules: avoid declaring DH_OPTIONS twice
  * add patch 2001 to enable pytest plugin for aiohttp
  * fix stop bogusly build-depend on python3-crypto

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 May 2020 13:00:52 +0200

pantalaimon (0.6.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update fields Maintainer Uploader:
    maintained in the Matrix Packaging Team
  * fix export DH_OPTIONS
  * build out of source tree
  * fix depend on python3-attr (not python3-attrs python3-typing);
    thanks to David Vo and Paul van Tilburg
  * include upstream changelog

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 May 2020 14:13:41 +0200

pantalaimon (0.5.1-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten to build-depend on recent python3-prompt-toolkit
  * build-depend on python3-cachetools
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat dh-sequence-python3 (not debhelper)
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Mar 2020 13:50:59 +0100

pantalaimon (0.3-3) experimental; urgency=medium

  * really fix Vcs-* fields

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 04 Dec 2019 20:34:31 +0100

pantalaimon (0.3-2) experimental; urgency=medium

  * fix Vcs-* fields
  * build-depend on python3-aioresponses;
    fix depend on python3-aiohttp

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Dec 2019 03:47:01 +0100

pantalaimon (0.3-1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#942862. Thanks to David Seaward.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2019 01:32:18 +0100

=== debian/control ===
Source: pantalaimon
Section: net
Priority: optional
Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 dh-sequence-python3,
 python3,
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-cachetools <!nocheck>,
 python3-fake-factory <!nocheck>,
 python3-janus <!nocheck>,
 python3-keyring <!nocheck>,
 python3-matrix-nio <!nocheck>,
 python3-peewee,
 python3-prompt-toolkit (>= 2),
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/matrix-org/pantalaimon
Vcs-Git: https://salsa.debian.org/matrix-team/pantalaimon.git
Vcs-Browser: https://salsa.debian.org/matrix-team/pantalaimon
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: pantalaimon
Architecture: all
Depends:
# python3,
 python3-pantalaimon (= ${binary:Version}),
# python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: E2EE aware proxy daemon for matrix clients - daemon
 Pantalaimon is an end-to-end encryption aware
 Matrix reverse proxy daemon.
 Pantalaimon acts as a good man in the middle
 that handles the encryption for you.
 .
 Messages are transparently encrypted and decrypted
 for clients inside of pantalaimon.
 .
 This package contains the pantalaimon daemon
 and administration tool panctl.

Package: python3-pantalaimon
Section: python
Architecture: all
Depends:
 python3-aiohttp,
 python3-appdirs,
 python3-attr,
 python3-click,
 python3-janus,
 python3-keyring,
 python3-logbook,
 python3-matrix-nio,
 python3-peewee,
 python3-prompt-toolkit,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 gir1.2-glib-2.0,
 python3-dbus,
 python3-gi,
 python3-notify2,
 python3-pydbus,
Provides:
 ${python3:Provides},
Description: E2EE aware proxy daemon for matrix clients - python3 module
 Pantalaimon is an end-to-end encryption aware
 Matrix reverse proxy daemon.
 Pantalaimon acts as a good man in the middle
 that handles the encryption for you.
 .
 Messages are transparently encrypted and decrypted
 for clients inside of pantalaimon.
 .
 This package contains the pantalaimon Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS = -O--buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

%:
	dh $@

## pantalaimon 0.9.1

=== debian/changelog ===
pantalaimon (0.9.1-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + store: Add a missing use-database decorator;
      closes: bug#980670, thanks to Lucas Nussbaum and s3v

  [ Jonas Smedegaard ]
  * relax build-dependency on python3-matrix-nio
  * declare compliance with Debian Policy 4.5.1
  * declare buildsystem explicitly (not in environment)
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Jan 2021 02:28:10 +0100

pantalaimon (0.8.0-2) unstable; urgency=medium

  * fix have python3-pantalaimon explicitly depend on python3-prompt-toolkit
    (missed by dh_python);
    closes: bug#972254, thanks to Arnaud Ferraris

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 15 Oct 2020 12:48:03 +0200

pantalaimon (0.8.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Oct 2020 15:20:46 +0200

pantalaimon (0.7.0-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * simplify source script copyright-chceck
  * copyright: update coverage
  * tighten (build-)dependency on python3-aiohttp python3-matrix-nio
  * stop depend on python3-prompt-toolkit (only build-depend on it)
  * simplify dependencies in source
    by letting pydist resolve most possible

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2020 15:58:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
  python3,
- python3-aiohttp <!nocheck>,
+ python3-aiohttp (<< 4.0) <!nocheck>,
  python3-aioresponses <!nocheck>,
  python3-cachetools <!nocheck>,
  python3-fake-factory <!nocheck>,
  python3-janus <!nocheck>,
  python3-keyring <!nocheck>,
- python3-matrix-nio <!nocheck>,
+ python3-matrix-nio (>= 0.14) <!nocheck>,
+ python3-matrix-nio (<< 0.17) <!nocheck>,
  python3-peewee,
  python3-prompt-toolkit (>= 2),
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/matrix-org/pantalaimon
 Vcs-Git: https://salsa.debian.org/matrix-team/pantalaimon.git
 Vcs-Browser: https://salsa.debian.org/matrix-team/pantalaimon
@@ -51,16 +52,7 @@
 Section: python
 Architecture: all
 Depends:
- python3-aiohttp,
- python3-appdirs,
- python3-attr,
- python3-click,
- python3-janus,
- python3-keyring,
- python3-logbook,
- python3-matrix-nio,
- python3-peewee,
- python3-prompt-toolkit,
+ python3-prompt-toolkit (>= 2),
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## pantalaimon 0.10.4

=== debian/changelog ===
pantalaimon (0.10.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
  * generate documentation;
    build-depend on cmark-gfm
  * relax build-dependency on python3-matrix-nio

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Feb 2022 11:41:21 +0100

pantalaimon (0.10.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2021 20:27:04 +0200

pantalaimon (0.10.2-2) unstable; urgency=medium

  * update tightened (build-)dependency on python3-matrix-nio

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Aug 2021 12:14:40 +0200

pantalaimon (0.10.2-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 25 Aug 2021 20:38:58 +0200

pantalaimon (0.10.0-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Jun 2021 11:44:33 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
+ cmark-gfm,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-python3,
@@ -15,13 +16,13 @@
  python3-fake-factory <!nocheck>,
  python3-janus <!nocheck>,
  python3-keyring <!nocheck>,
- python3-matrix-nio (>= 0.14) <!nocheck>,
- python3-matrix-nio (<< 0.17) <!nocheck>,
+ python3-matrix-nio (>= 0.18) <!nocheck>,
+ python3-matrix-nio (<< 0.20) <!nocheck>,
  python3-peewee,
  python3-prompt-toolkit (>= 2),
  python3-pytest <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/matrix-org/pantalaimon
 Vcs-Git: https://salsa.debian.org/matrix-team/pantalaimon.git
 Vcs-Browser: https://salsa.debian.org/matrix-team/pantalaimon

=== debian/rules ===
#!/usr/bin/make -f

DOCS_SRC = README.md
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = $(DOCS_SRC:md=html) $(DOCS_SRC:md=txt)
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
endif

override_dh_clean:
	dh_clean -- $(DOCS) $(CHANGELOGS)

execute_after_dh_auto_build: $(DOCS) $(CHANGELOGS)

override_dh_installdocs:
	dh_installdocs -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

%.html: %.md
	cmark-gfm $< > $@

%.txt: %.md
	cmark-gfm --to plaintext $< > $@

%:
	dh "$@" --buildsystem=pybuild

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/matrix-org/pantalaimon/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## pantalaimon 0.10.5

=== debian/changelog ===
pantalaimon (0.10.5-3) unstable; urgency=medium

  * QA upload.
  * Replace appdirs with platformdirs (Closes: #1067979)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Nov 2024 07:37:38 +0100

pantalaimon (0.10.5-2) unstable; urgency=medium

  * QA upload. binary:all upload built with nocheck.
  * Add B-D: python3-logbook.
  * Add pantalaimon and panctl smoketests.
  * Add dependencies for panctl: python3-gi, python3-pydbus.
  * Add dependencies for pantalaimon: python3-dbus, python3-notify2.
    (Closes: #1023971)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Apr 2024 20:49:27 +0200

pantalaimon (0.10.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream version
  * Drop version restriction (Closes: #1021121)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Oct 2022 20:09:20 +0200

pantalaimon (0.10.4-2) unstable; urgency=medium

  * orphan package: set maintainer to Debian QA Group

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Jun 2022 08:34:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: pantalaimon
 Section: net
 Priority: optional
-Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
-Uploaders:
- Jonas Smedegaard <dr@jones.dk>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  cmark-gfm,
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  python3,
  python3-aiohttp (<< 4.0) <!nocheck>,
@@ -16,8 +13,8 @@
  python3-fake-factory <!nocheck>,
  python3-janus <!nocheck>,
  python3-keyring <!nocheck>,
- python3-matrix-nio (>= 0.18) <!nocheck>,
- python3-matrix-nio (<< 0.20) <!nocheck>,
+ python3-logbook,
+ python3-matrix-nio <!nocheck>,
  python3-peewee,
  python3-prompt-toolkit (>= 2),
  python3-pytest <!nocheck>,
@@ -32,9 +29,11 @@
 Package: pantalaimon
 Architecture: all
 Depends:
-# python3,
  python3-pantalaimon (= ${binary:Version}),
-# python3-pkg-resources,
+ python3-dbus,
+ python3-gi,
+ python3-notify2,
+ python3-pydbus,
  ${misc:Depends},
  ${python3:Depends},
 Description: E2EE aware proxy daemon for matrix clients - daemon

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,17 @@
 DOCS = $(DOCS_SRC:md=html) $(DOCS_SRC:md=txt)
 CHANGELOGS = CHANGELOG.html CHANGELOG.txt
 endif
+
+export PYBUILD_TEST_ARGS=-k 'not test_start_loop \
+                         and not test_daemon_start[pyloop] \
+                         and not test_pan_client_sync[pyloop] \
+                         and not test_pan_client_keys_upload[pyloop] \
+                         and not test_server_users_update[pyloop] \
+                         and not tests_server_devices_update[pyloop] \
+                         and not TestClass::test_account_loading'
+
+%:
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean -- $(DOCS) $(CHANGELOGS)
@@ -22,6 +33,3 @@
 
 %.txt: %.md
 	cmark-gfm --to plaintext $< > $@
-
-%:
-	dh "$@" --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: pantalaimon --help
Features: test-name=smoketest-pantalaimon
Depends:
 pantalaimon,
Restrictions:
 superficial,

Test-Command: dbus-launch panctl || test $? = 255
Features: test-name=smoketest-panctl
Depends:
 pantalaimon,
 dbus-x11,
Restrictions:
 superficial,
